# PThreads.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <stdio.h>`
`#include <pthread.h>`
`#include <string>`
`#include <assert.h>`

Include dependency graph for PThreads.hh:

Go to the source code of this file.

## Namespaces

namespace | log4cpp
namespace | log4cpp::threading

## Classes

class | log4cpp::threading::Mutex
class | log4cpp::threading::ScopedLock
| definition of ScopedLock; More...
class | log4cpp::threading::ThreadLocalDataHolder< T >
| This class holds Thread local data of type T, i.e. More...

## Functions

static std::string | log4cpp::threading::getThreadId ()
| returns the thread ID